package com.mvc.dao;

import com.mvc.entity.DicSequenceStation;
import com.mvc.entity.DicSequenceStationExample;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicSequenceStationMapper {
    long countByExample(DicSequenceStationExample example);

    int deleteByExample(DicSequenceStationExample example);

    int deleteByPrimaryKey(Date serialDate);

    int insert(DicSequenceStation record);

    int insertSelective(DicSequenceStation record);

    List<DicSequenceStation> selectByExample(DicSequenceStationExample example);

    DicSequenceStation selectByPrimaryKey(Date serialDate);

    int updateByExampleSelective(@Param("record") DicSequenceStation record, @Param("example") DicSequenceStationExample example);

    int updateByExample(@Param("record") DicSequenceStation record, @Param("example") DicSequenceStationExample example);

    int updateByPrimaryKeySelective(DicSequenceStation record);

    int updateByPrimaryKey(DicSequenceStation record);
}